<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

</body>
<script>
    function foo() {
        let arr1 = ['A', 'B', 'C'];
        let arr2 = ['X', 'Y', 'Z'];

        let arr3 = [...arr1, ...arr2];
        console.log(arr3);
        
        let fruits = ['Apple','Orange','Banana'];
        let fruit1 = [...fruits, "Chery"];
        console.log(fruit1);

        var obj1 = { id: 101, name: 'Jhon Doe' } ;
        var obj2 = { age: 25, country: 'USA'};

        var ojb3 = {...obj1,...obj2 };
        console.log(ojb3)
    }
    foo()
    
</script>

</html>